curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/reject' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"reason": "Warranty period expired"
}'
mutation warrantyRejectMutation {
warrantyReject(id: "${warrantyId}", reason: "${reason}") {
warranty {
id,
status
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.reject({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
reason: 'Warranty period expired'
});
warranties = stateset.warranties.reject({
'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'reason': 'Warranty period expired'
})
warranties = Stateset::Warranty.reject({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
reason: 'Warranty period expired'
})
warranties, err := stateset.Warranties.reject({
ID: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Reason: 'Warranty period expired'
})
Warranty warranties = stateset.Warranties.reject({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
reason: 'Warranty period expired'
});
$warranties = $stateset->warranties->reject([
'id' => '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'reason' => 'Warranty period expired'
]);
var warranties = await stateset.Warranties.Reject(new {
Id = '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Reason = 'Warranty period expired'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"rejected": true,
"reason": "Warranty period expired"
}
Reject Warranty
This endpoint rejects a warranty claim.
POST
/
v1
/
warranties
/
:id
/
reject
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/reject' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"reason": "Warranty period expired"
}'
mutation warrantyRejectMutation {
warrantyReject(id: "${warrantyId}", reason: "${reason}") {
warranty {
id,
status
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.reject({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
reason: 'Warranty period expired'
});
warranties = stateset.warranties.reject({
'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'reason': 'Warranty period expired'
})
warranties = Stateset::Warranty.reject({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
reason: 'Warranty period expired'
})
warranties, err := stateset.Warranties.reject({
ID: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Reason: 'Warranty period expired'
})
Warranty warranties = stateset.Warranties.reject({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
reason: 'Warranty period expired'
});
$warranties = $stateset->warranties->reject([
'id' => '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'reason' => 'Warranty period expired'
]);
var warranties = await stateset.Warranties.Reject(new {
Id = '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Reason = 'Warranty period expired'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"rejected": true,
"reason": "Warranty period expired"
}
Body
string
The ID provided in the data tab may be used to identify the warranty
string
The reason for rejecting the warranty claim
Response
string
The ID provided in the data tab may be used to identify the warranty
string
The object type
number
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/reject' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"reason": "Warranty period expired"
}'
mutation warrantyRejectMutation {
warrantyReject(id: "${warrantyId}", reason: "${reason}") {
warranty {
id,
status
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.reject({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
reason: 'Warranty period expired'
});
warranties = stateset.warranties.reject({
'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'reason': 'Warranty period expired'
})
warranties = Stateset::Warranty.reject({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
reason: 'Warranty period expired'
})
warranties, err := stateset.Warranties.reject({
ID: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Reason: 'Warranty period expired'
})
Warranty warranties = stateset.Warranties.reject({
id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
reason: 'Warranty period expired'
});
$warranties = $stateset->warranties->reject([
'id' => '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
'reason' => 'Warranty period expired'
]);
var warranties = await stateset.Warranties.Reject(new {
Id = '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
Reason = 'Warranty period expired'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"rejected": true,
"reason": "Warranty period expired"
}
โI